<ng-container *ngIf = "_reload">

    <!DOCTYPE html>
    <html lang="en">
      <head> 
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700" rel="stylesheet">

      </head>
    
      <body>
        <app-top-menu (loggedOut) = "UsrLoggedOut($event)" ></app-top-menu> 


    
        <div class="container" *ngIf = "photo && user">
            <div class="card">
                <div class="container-fliud">
                    <div class="wrapper row">
                        <div class="preview col-md-6">
                            
                            <div class="preview-pic tab-content">
                                <div class="tab-pane active" id="pic-1"><img src='{{ apiService.url }}/photos/{{ photo.id }}{{ photo.extension }}' /></div>
                            </div>
                            
                        </div>
                        <div class="details col-md-6">
                            <div class="avatar">  
                                <img src= 'assets/images/pattern.jpg' (click) = goToUserProfile(user.id) />
                                <div class="avatar-info">
                                    <div class="username" (click) = goToUserProfile(user.id) >{{user.username}}</div>
                                </div>
                            </div>

                            <h3 class="photo-title">{{photo.title}}</h3>
                            <p class="photo-description">{{photo.description}}</p>
                            <div class="categories row" > <p>Category: <span>{{photo.category}}</span></p>
                                <p>Uploaded: <span>{{date}}</span></p>
                            </div>

                            <div class="action">
                                <a href="{{ apiService.url }}/photos/{{photo.id}}{{photo.extension}}" download><button class="download btn btn-default" type="button"><span class="fa fa-download"></span> Download</button></a>
                               <button *ngIf = "IsMyPhoto" (click)=goToEdit(photo.id) class="edit btn btn-default" type="button">Edit</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>
</ng-container>






